<template>
  <div class="driverLicense">
    <template>
  <v-card
    color="#5e8b7e"
    style="color:white;"
    class="mx-auto rounded-card hei" 
    width="270"
  > 
    <v-card-title  class="justify-center">
      <h2 class="justify-center">
        רשיון נהיגה
      </h2>
      </v-card-title>
      <v-row>
      <h4 class="status justify-center mx-auto" justify="center">
        סטטוס {{license.status?license.status:"- לא קיים"}}     
      </h4>
      </v-row>
      <v-row>
      <b class="date text-center mx-auto" >
      <br>
      תאריך
      </b>
      </v-row>
      <v-container class=" ">
    <v-row >
      
        <v-col :key="n" class="colStyle mx-auto">
          <h4 class="text-center mx-auto">
            סיום
            {{license.endingDate ? this.formmatDate(license.endingDate) : ": אין"}}
         </h4>
        </v-col>
        <v-responsive
          v-if="n === 2"
          :key="`width-${n}`"
          width="100%"
        ></v-responsive>
        <v-col :key="n" class="mx-auto">
         <h4 class="text-center mx-auto">
            התחלה
            {{license.startingDate ? this.formmatDate(license.startingDate) : ": אין"}}
         </h4>
        </v-col>
        <v-responsive
          v-if="n === 2"
          :key="`width-${n}`"
          width="100%"
        ></v-responsive>
       
    </v-row>
    
  </v-container>

  <br>
  <v-row class="justify-center mx-auto">
  <h2 class="justify-center">
  מספר רישיון
    <br>
    <div >
  {{license.licenseNumber ? license.licenseNumber : "------------"}}
  </div>
  </h2>
  </v-row>


  </v-card>
</template>
  </div>
</template>
<script>
import api from '../api';

export default {
	name: 'driverLicense',
	props: {
		personId: {
			type: String,
			required: true,
		},
	},
	methods: {
		formmatDate: function(date) {
			const newDate = new Date(date);
			return newDate.toLocaleDateString('he-IL');
		},
	},
	data() {
		return {
			license: {},
		};
	},
	async mounted() {
		const response = await api.profile().getLicenseById(this.personId);
		this.license = response.data[0];
	},
};
</script>

<style scoped>
.status {
	margin-top: 1vh;
	margin-left: 23vh;
}
.rounded-card {
	border-radius: 10px;
}
.date {
	margin-left: 17vh;
}
.colStyle {
	margin-left: 7vh;
}
.colStyleDate {
	margin-left: 4vh;
	margin-bottom: 10vh;
}

.hei {
  height: 50vh !important;
}
</style>
